1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=escape.ml
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525# Check for Ocaml compilers
526
527# we first look for ocamlc in the path; if not present, we fail
528# Extract the first word of "ocamlc", so it can be a program name with args.
529set dummy ocamlc; ac_word=$2
530echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
531echo "configure:532: checking for $ac_word" >&5
532if eval "test \"`echo '$''{'ac_cv_prog_OCAMLC'+set}'`\" = set"; then
533  echo $ac_n "(cached) $ac_c" 1>&6
534else
535  if test -n "$OCAMLC"; then
536  ac_cv_prog_OCAMLC="$OCAMLC" # Let the user override the test.
537else
538  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
539  ac_dummy="$PATH"
540  for ac_dir in $ac_dummy; do
541    test -z "$ac_dir" && ac_dir=.
542    if test -f $ac_dir/$ac_word; then
543      ac_cv_prog_OCAMLC="ocamlc"
544      break
545    fi
546  done
547  IFS="$ac_save_ifs"
548  test -z "$ac_cv_prog_OCAMLC" && ac_cv_prog_OCAMLC="no"
549fi
550fi
551OCAMLC="$ac_cv_prog_OCAMLC"
552if test -n "$OCAMLC"; then
553  echo "$ac_t""$OCAMLC" 1>&6
554else
555  echo "$ac_t""no" 1>&6
556fi
557
558if test "$OCAMLC" = no ; then
559	{ echo "configure: error: Cannot find ocamlc." 1>&2; exit 1; }
560fi
561
562# we extract Ocaml version number and library path
563OCAMLVERSION=`$OCAMLC -v | sed -n -e 's|.*version* *\(.*\)$|\1|p' `
564echo "ocaml version is $OCAMLVERSION"
565OCAMLLIB=`$OCAMLC -v | tail -1 | cut -f 4 -d " "`
566echo "ocaml library path is $OCAMLLIB"
567
568# then we look for ocamlopt; if not present, we issue a warning
569# if the version is not the same, we also discard it
570# we set OCAMLBEST to "opt" or "byte", whether ocamlopt is available or not
571# Extract the first word of "ocamlopt", so it can be a program name with args.
572set dummy ocamlopt; ac_word=$2
573echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
574echo "configure:575: checking for $ac_word" >&5
575if eval "test \"`echo '$''{'ac_cv_prog_OCAMLOPT'+set}'`\" = set"; then
576  echo $ac_n "(cached) $ac_c" 1>&6
577else
578  if test -n "$OCAMLOPT"; then
579  ac_cv_prog_OCAMLOPT="$OCAMLOPT" # Let the user override the test.
580else
581  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
582  ac_dummy="$PATH"
583  for ac_dir in $ac_dummy; do
584    test -z "$ac_dir" && ac_dir=.
585    if test -f $ac_dir/$ac_word; then
586      ac_cv_prog_OCAMLOPT="ocamlopt"
587      break
588    fi
589  done
590  IFS="$ac_save_ifs"
591  test -z "$ac_cv_prog_OCAMLOPT" && ac_cv_prog_OCAMLOPT="no"
592fi
593fi
594OCAMLOPT="$ac_cv_prog_OCAMLOPT"
595if test -n "$OCAMLOPT"; then
596  echo "$ac_t""$OCAMLOPT" 1>&6
597else
598  echo "$ac_t""no" 1>&6
599fi
600
601OCAMLBEST=byte
602if test "$OCAMLOPT" = no ; then
603	echo "configure: warning: Cannot find ocamlopt; bytecode compilation only." 1>&2
604else
605	echo $ac_n "checking ocamlopt version""... $ac_c" 1>&6
606echo "configure:607: checking ocamlopt version" >&5
607	TMPVERSION=`$OCAMLOPT -v | sed -n -e 's|.*version* *\(.*\)$|\1|p' `
608	if test "$TMPVERSION" != $OCAMLVERSION ; then
609	    echo "$ac_t""differs from ocamlc; ocamlopt discarded." 1>&6
610	    OCAMLOPT=no
611	else
612	    echo "$ac_t""ok" 1>&6
613	    OCAMLBEST=opt
614	fi
615fi
616
617# checking for ocamlc.opt
618# Extract the first word of "ocamlc.opt", so it can be a program name with args.
619set dummy ocamlc.opt; ac_word=$2
620echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
621echo "configure:622: checking for $ac_word" >&5
622if eval "test \"`echo '$''{'ac_cv_prog_OCAMLCDOTOPT'+set}'`\" = set"; then
623  echo $ac_n "(cached) $ac_c" 1>&6
624else
625  if test -n "$OCAMLCDOTOPT"; then
626  ac_cv_prog_OCAMLCDOTOPT="$OCAMLCDOTOPT" # Let the user override the test.
627else
628  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
629  ac_dummy="$PATH"
630  for ac_dir in $ac_dummy; do
631    test -z "$ac_dir" && ac_dir=.
632    if test -f $ac_dir/$ac_word; then
633      ac_cv_prog_OCAMLCDOTOPT="ocamlc.opt"
634      break
635    fi
636  done
637  IFS="$ac_save_ifs"
638  test -z "$ac_cv_prog_OCAMLCDOTOPT" && ac_cv_prog_OCAMLCDOTOPT="no"
639fi
640fi
641OCAMLCDOTOPT="$ac_cv_prog_OCAMLCDOTOPT"
642if test -n "$OCAMLCDOTOPT"; then
643  echo "$ac_t""$OCAMLCDOTOPT" 1>&6
644else
645  echo "$ac_t""no" 1>&6
646fi
647
648if test "$OCAMLCDOTOPT" != no ; then
649	echo $ac_n "checking ocamlc.opt version""... $ac_c" 1>&6
650echo "configure:651: checking ocamlc.opt version" >&5
651	TMPVERSION=`$OCAMLCDOTOPT -v | sed -n -e 's|.*version* *\(.*\)$|\1|p' `
652	if test "$TMPVERSION" != $OCAMLVERSION ; then
653	    echo "$ac_t""differs from ocamlc; ocamlc.opt discarded." 1>&6
654	else
655	    echo "$ac_t""ok" 1>&6
656	    OCAMLC=$OCAMLCDOTOPT
657	fi
658fi
659
660# checking for ocamlopt.opt
661if test "$OCAMLOPT" != no ; then
662    # Extract the first word of "ocamlopt.opt", so it can be a program name with args.
663set dummy ocamlopt.opt; ac_word=$2
664echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
665echo "configure:666: checking for $ac_word" >&5
666if eval "test \"`echo '$''{'ac_cv_prog_OCAMLOPTDOTOPT'+set}'`\" = set"; then
667  echo $ac_n "(cached) $ac_c" 1>&6
668else
669  if test -n "$OCAMLOPTDOTOPT"; then
670  ac_cv_prog_OCAMLOPTDOTOPT="$OCAMLOPTDOTOPT" # Let the user override the test.
671else
672  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
673  ac_dummy="$PATH"
674  for ac_dir in $ac_dummy; do
675    test -z "$ac_dir" && ac_dir=.
676    if test -f $ac_dir/$ac_word; then
677      ac_cv_prog_OCAMLOPTDOTOPT="ocamlopt.opt"
678      break
679    fi
680  done
681  IFS="$ac_save_ifs"
682  test -z "$ac_cv_prog_OCAMLOPTDOTOPT" && ac_cv_prog_OCAMLOPTDOTOPT="no"
683fi
684fi
685OCAMLOPTDOTOPT="$ac_cv_prog_OCAMLOPTDOTOPT"
686if test -n "$OCAMLOPTDOTOPT"; then
687  echo "$ac_t""$OCAMLOPTDOTOPT" 1>&6
688else
689  echo "$ac_t""no" 1>&6
690fi
691
692    if test "$OCAMLOPTDOTOPT" != no ; then
693	echo $ac_n "checking ocamlc.opt version""... $ac_c" 1>&6
694echo "configure:695: checking ocamlc.opt version" >&5
695	TMPVER=`$OCAMLOPTDOTOPT -v | sed -n -e 's|.*version* *\(.*\)$|\1|p' `
696	if test "$TMPVER" != $OCAMLVERSION ; then
697	    echo "$ac_t""differs from ocamlc; ocamlopt.opt discarded." 1>&6
698	else
699	    echo "$ac_t""ok" 1>&6
700	    OCAMLOPT=$OCAMLOPTDOTOPT
701	fi
702    fi
703fi
704
705# ocamldep, ocamllex and ocamlyacc should also be present in the path
706# Extract the first word of "ocamldep", so it can be a program name with args.
707set dummy ocamldep; ac_word=$2
708echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
709echo "configure:710: checking for $ac_word" >&5
710if eval "test \"`echo '$''{'ac_cv_prog_OCAMLDEP'+set}'`\" = set"; then
711  echo $ac_n "(cached) $ac_c" 1>&6
712else
713  if test -n "$OCAMLDEP"; then
714  ac_cv_prog_OCAMLDEP="$OCAMLDEP" # Let the user override the test.
715else
716  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
717  ac_dummy="$PATH"
718  for ac_dir in $ac_dummy; do
719    test -z "$ac_dir" && ac_dir=.
720    if test -f $ac_dir/$ac_word; then
721      ac_cv_prog_OCAMLDEP="ocamldep"
722      break
723    fi
724  done
725  IFS="$ac_save_ifs"
726  test -z "$ac_cv_prog_OCAMLDEP" && ac_cv_prog_OCAMLDEP="no"
727fi
728fi
729OCAMLDEP="$ac_cv_prog_OCAMLDEP"
730if test -n "$OCAMLDEP"; then
731  echo "$ac_t""$OCAMLDEP" 1>&6
732else
733  echo "$ac_t""no" 1>&6
734fi
735
736if test "$OCAMLDEP" = no ; then
737	{ echo "configure: error: Cannot find ocamldep." 1>&2; exit 1; }
738fi
739
740# Extract the first word of "ocamllex", so it can be a program name with args.
741set dummy ocamllex; ac_word=$2
742echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
743echo "configure:744: checking for $ac_word" >&5
744if eval "test \"`echo '$''{'ac_cv_prog_OCAMLLEX'+set}'`\" = set"; then
745  echo $ac_n "(cached) $ac_c" 1>&6
746else
747  if test -n "$OCAMLLEX"; then
748  ac_cv_prog_OCAMLLEX="$OCAMLLEX" # Let the user override the test.
749else
750  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
751  ac_dummy="$PATH"
752  for ac_dir in $ac_dummy; do
753    test -z "$ac_dir" && ac_dir=.
754    if test -f $ac_dir/$ac_word; then
755      ac_cv_prog_OCAMLLEX="ocamllex"
756      break
757    fi
758  done
759  IFS="$ac_save_ifs"
760  test -z "$ac_cv_prog_OCAMLLEX" && ac_cv_prog_OCAMLLEX="no"
761fi
762fi
763OCAMLLEX="$ac_cv_prog_OCAMLLEX"
764if test -n "$OCAMLLEX"; then
765  echo "$ac_t""$OCAMLLEX" 1>&6
766else
767  echo "$ac_t""no" 1>&6
768fi
769
770if test "$OCAMLLEX" = no ; then
771    { echo "configure: error: Cannot find ocamllex." 1>&2; exit 1; }
772else
773    # Extract the first word of "ocamllex.opt", so it can be a program name with args.
774set dummy ocamllex.opt; ac_word=$2
775echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
776echo "configure:777: checking for $ac_word" >&5
777if eval "test \"`echo '$''{'ac_cv_prog_OCAMLLEXDOTOPT'+set}'`\" = set"; then
778  echo $ac_n "(cached) $ac_c" 1>&6
779else
780  if test -n "$OCAMLLEXDOTOPT"; then
781  ac_cv_prog_OCAMLLEXDOTOPT="$OCAMLLEXDOTOPT" # Let the user override the test.
782else
783  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
784  ac_dummy="$PATH"
785  for ac_dir in $ac_dummy; do
786    test -z "$ac_dir" && ac_dir=.
787    if test -f $ac_dir/$ac_word; then
788      ac_cv_prog_OCAMLLEXDOTOPT="ocamllex.opt"
789      break
790    fi
791  done
792  IFS="$ac_save_ifs"
793  test -z "$ac_cv_prog_OCAMLLEXDOTOPT" && ac_cv_prog_OCAMLLEXDOTOPT="no"
794fi
795fi
796OCAMLLEXDOTOPT="$ac_cv_prog_OCAMLLEXDOTOPT"
797if test -n "$OCAMLLEXDOTOPT"; then
798  echo "$ac_t""$OCAMLLEXDOTOPT" 1>&6
799else
800  echo "$ac_t""no" 1>&6
801fi
802
803    if test "$OCAMLLEXDOTOPT" != no ; then
804	OCAMLLEX=$OCAMLLEXDOTOPT
805    fi
806fi
807
808# Extract the first word of "ocamlyacc", so it can be a program name with args.
809set dummy ocamlyacc; ac_word=$2
810echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
811echo "configure:812: checking for $ac_word" >&5
812if eval "test \"`echo '$''{'ac_cv_prog_OCAMLYACC'+set}'`\" = set"; then
813  echo $ac_n "(cached) $ac_c" 1>&6
814else
815  if test -n "$OCAMLYACC"; then
816  ac_cv_prog_OCAMLYACC="$OCAMLYACC" # Let the user override the test.
817else
818  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
819  ac_dummy="$PATH"
820  for ac_dir in $ac_dummy; do
821    test -z "$ac_dir" && ac_dir=.
822    if test -f $ac_dir/$ac_word; then
823      ac_cv_prog_OCAMLYACC="ocamlyacc"
824      break
825    fi
826  done
827  IFS="$ac_save_ifs"
828  test -z "$ac_cv_prog_OCAMLYACC" && ac_cv_prog_OCAMLYACC="no"
829fi
830fi
831OCAMLYACC="$ac_cv_prog_OCAMLYACC"
832if test -n "$OCAMLYACC"; then
833  echo "$ac_t""$OCAMLYACC" 1>&6
834else
835  echo "$ac_t""no" 1>&6
836fi
837
838if test "$OCAMLYACC" = no ; then
839	{ echo "configure: error: Cannot find ocamlyacc." 1>&2; exit 1; }
840fi
841
842# Extract the first word of "ocamlweb", so it can be a program name with args.
843set dummy ocamlweb; ac_word=$2
844echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
845echo "configure:846: checking for $ac_word" >&5
846if eval "test \"`echo '$''{'ac_cv_prog_OCAMLWEB'+set}'`\" = set"; then
847  echo $ac_n "(cached) $ac_c" 1>&6
848else
849  if test -n "$OCAMLWEB"; then
850  ac_cv_prog_OCAMLWEB="$OCAMLWEB" # Let the user override the test.
851else
852  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
853  ac_dummy="$PATH"
854  for ac_dir in $ac_dummy; do
855    test -z "$ac_dir" && ac_dir=.
856    if test -f $ac_dir/$ac_word; then
857      ac_cv_prog_OCAMLWEB="ocamlweb"
858      break
859    fi
860  done
861  IFS="$ac_save_ifs"
862  test -z "$ac_cv_prog_OCAMLWEB" && ac_cv_prog_OCAMLWEB="true"
863fi
864fi
865OCAMLWEB="$ac_cv_prog_OCAMLWEB"
866if test -n "$OCAMLWEB"; then
867  echo "$ac_t""$OCAMLWEB" 1>&6
868else
869  echo "$ac_t""no" 1>&6
870fi
871
872
873# Checks for C headers, functions
874
875echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
876echo "configure:877: checking how to run the C preprocessor" >&5
877# On Suns, sometimes $CPP names a directory.
878if test -n "$CPP" && test -d "$CPP"; then
879  CPP=
880fi
881if test -z "$CPP"; then
882if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
883  echo $ac_n "(cached) $ac_c" 1>&6
884else
885    # This must be in double quotes, not single quotes, because CPP may get
886  # substituted into the Makefile and "${CC-cc}" will confuse make.
887  CPP="${CC-cc} -E"
888  # On the NeXT, cc -E runs the code through the compiler's parser,
889  # not just through cpp.
890  cat > conftest.$ac_ext <<EOF
891#line 892 "configure"
892#include "confdefs.h"
893#include <assert.h>
894Syntax Error
895EOF
896ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
897{ (eval echo configure:898: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
898ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
899if test -z "$ac_err"; then
900  :
901else
902  echo "$ac_err" >&5
903  echo "configure: failed program was:" >&5
904  cat conftest.$ac_ext >&5
905  rm -rf conftest*
906  CPP="${CC-cc} -E -traditional-cpp"
907  cat > conftest.$ac_ext <<EOF
908#line 909 "configure"
909#include "confdefs.h"
910#include <assert.h>
911Syntax Error
912EOF
913ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
914{ (eval echo configure:915: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
915ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
916if test -z "$ac_err"; then
917  :
918else
919  echo "$ac_err" >&5
920  echo "configure: failed program was:" >&5
921  cat conftest.$ac_ext >&5
922  rm -rf conftest*
923  CPP="${CC-cc} -nologo -E"
924  cat > conftest.$ac_ext <<EOF
925#line 926 "configure"
926#include "confdefs.h"
927#include <assert.h>
928Syntax Error
929EOF
930ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
931{ (eval echo configure:932: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
932ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
933if test -z "$ac_err"; then
934  :
935else
936  echo "$ac_err" >&5
937  echo "configure: failed program was:" >&5
938  cat conftest.$ac_ext >&5
939  rm -rf conftest*
940  CPP=/lib/cpp
941fi
942rm -f conftest*
943fi
944rm -f conftest*
945fi
946rm -f conftest*
947  ac_cv_prog_CPP="$CPP"
948fi
949  CPP="$ac_cv_prog_CPP"
950else
951  ac_cv_prog_CPP="$CPP"
952fi
953echo "$ac_t""$CPP" 1>&6
954
955ac_safe=`echo "langinfo.h" | sed 'y%./+-%__p_%'`
956echo $ac_n "checking for langinfo.h""... $ac_c" 1>&6
957echo "configure:958: checking for langinfo.h" >&5
958if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
959  echo $ac_n "(cached) $ac_c" 1>&6
960else
961  cat > conftest.$ac_ext <<EOF
962#line 963 "configure"
963#include "confdefs.h"
964#include <langinfo.h>
965EOF
966ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
967{ (eval echo configure:968: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
968ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
969if test -z "$ac_err"; then
970  rm -rf conftest*
971  eval "ac_cv_header_$ac_safe=yes"
972else
973  echo "$ac_err" >&5
974  echo "configure: failed program was:" >&5
975  cat conftest.$ac_ext >&5
976  rm -rf conftest*
977  eval "ac_cv_header_$ac_safe=no"
978fi
979rm -f conftest*
980fi
981if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
982  echo "$ac_t""yes" 1>&6
983  true
984else
985  echo "$ac_t""no" 1>&6
986{ echo "configure: error: cannot find langinfo.h" 1>&2; exit 1; }
987fi
988
989
990echo $ac_n "checking for nl_langinfo""... $ac_c" 1>&6
991echo "configure:992: checking for nl_langinfo" >&5
992if eval "test \"`echo '$''{'ac_cv_func_nl_langinfo'+set}'`\" = set"; then
993  echo $ac_n "(cached) $ac_c" 1>&6
994else
995  cat > conftest.$ac_ext <<EOF
996#line 997 "configure"
997#include "confdefs.h"
998/* System header to define __stub macros and hopefully few prototypes,
999    which can conflict with char nl_langinfo(); below.  */
1000#include <assert.h>
1001/* Override any gcc2 internal prototype to avoid an error.  */
1002/* We use char because int might match the return type of a gcc2
1003    builtin and then its argument prototype would still apply.  */
1004char nl_langinfo();
1005
1006int main() {
1007
1008/* The GNU C library defines this for functions which it implements
1009    to always fail with ENOSYS.  Some functions are actually named
1010    something starting with __ and the normal name is an alias.  */
1011#if defined (__stub_nl_langinfo) || defined (__stub___nl_langinfo)
1012choke me
1013#else
1014nl_langinfo();
1015#endif
1016
1017; return 0; }
1018EOF
1019if { (eval echo configure:1020: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1020  rm -rf conftest*
1021  eval "ac_cv_func_nl_langinfo=yes"
1022else
1023  echo "configure: failed program was:" >&5
1024  cat conftest.$ac_ext >&5
1025  rm -rf conftest*
1026  eval "ac_cv_func_nl_langinfo=no"
1027fi
1028rm -f conftest*
1029fi
1030
1031if eval "test \"`echo '$ac_cv_func_'nl_langinfo`\" = yes"; then
1032  echo "$ac_t""yes" 1>&6
1033  true
1034else
1035  echo "$ac_t""no" 1>&6
1036{ echo "configure: error: cannot find nl_langinfo" 1>&2; exit 1; }
1037fi
1038
1039
1040# substitutions to perform
1041
1042
1043
1044
1045
1046
1047
1048
1049
1050
1051# Finally create the Makefile from Makefile.in
1052trap '' 1 2 15
1053cat > confcache <<\EOF
1054# This file is a shell script that caches the results of configure
1055# tests run on this system so they can be shared between configure
1056# scripts and configure runs.  It is not useful on other systems.
1057# If it contains results you don't want to keep, you may remove or edit it.
1058#
1059# By default, configure uses ./config.cache as the cache file,
1060# creating it if it does not exist already.  You can give configure
1061# the --cache-file=FILE option to use a different cache file; that is
1062# what configure does when it calls configure scripts in
1063# subdirectories, so they share the cache.
1064# Giving --cache-file=/dev/null disables caching, for debugging configure.
1065# config.status only pays attention to the cache file if you give it the
1066# --recheck option to rerun configure.
1067#
1068EOF
1069# The following way of writing the cache mishandles newlines in values,
1070# but we know of no workaround that is simple, portable, and efficient.
1071# So, don't put newlines in cache variables' values.
1072# Ultrix sh set writes to stderr and can't be redirected directly,
1073# and sets the high bit in the cache file unless we assign to the vars.
1074(set) 2>&1 |
1075  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1076  *ac_space=\ *)
1077    # `set' does not quote correctly, so add quotes (double-quote substitution
1078    # turns \\\\ into \\, and sed turns \\ into \).
1079    sed -n \
1080      -e "s/'/'\\\\''/g" \
1081      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1082    ;;
1083  *)
1084    # `set' quotes correctly as required by POSIX, so do not add quotes.
1085    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1086    ;;
1087  esac >> confcache
1088if cmp -s $cache_file confcache; then
1089  :
1090else
1091  if test -w $cache_file; then
1092    echo "updating cache $cache_file"
1093    cat confcache > $cache_file
1094  else
1095    echo "not updating unwritable cache $cache_file"
1096  fi
1097fi
1098rm -f confcache
1099
1100trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1101
1102test "x$prefix" = xNONE && prefix=$ac_default_prefix
1103# Let make expand exec_prefix.
1104test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1105
1106# Any assignment to VPATH causes Sun make to only execute
1107# the first set of double-colon rules, so remove it if not needed.
1108# If there is a colon in the path, we need to keep it.
1109if test "x$srcdir" = x.; then
1110  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1111fi
1112
1113trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1114
1115# Transform confdefs.h into DEFS.
1116# Protect against shell expansion while executing Makefile rules.
1117# Protect against Makefile macro expansion.
1118cat > conftest.defs <<\EOF
1119s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1120s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1121s%\[%\\&%g
1122s%\]%\\&%g
1123s%\$%$$%g
1124EOF
1125DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1126rm -f conftest.defs
1127
1128
1129# Without the "./", some shells look in PATH for config.status.
1130: ${CONFIG_STATUS=./config.status}
1131
1132echo creating $CONFIG_STATUS
1133rm -f $CONFIG_STATUS
1134cat > $CONFIG_STATUS <<EOF
1135#! /bin/sh
1136# Generated automatically by configure.
1137# Run this file to recreate the current configuration.
1138# This directory was configured as follows,
1139# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1140#
1141# $0 $ac_configure_args
1142#
1143# Compiler output produced by configure, useful for debugging
1144# configure, is in ./config.log if it exists.
1145
1146ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1147for ac_option
1148do
1149  case "\$ac_option" in
1150  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1151    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1152    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1153  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1154    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1155    exit 0 ;;
1156  -help | --help | --hel | --he | --h)
1157    echo "\$ac_cs_usage"; exit 0 ;;
1158  *) echo "\$ac_cs_usage"; exit 1 ;;
1159  esac
1160done
1161
1162ac_given_srcdir=$srcdir
1163
1164trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1165EOF
1166cat >> $CONFIG_STATUS <<EOF
1167
1168# Protect against being on the right side of a sed subst in config.status.
1169sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1170 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1171$ac_vpsub
1172$extrasub
1173s%@SHELL@%$SHELL%g
1174s%@CFLAGS@%$CFLAGS%g
1175s%@CPPFLAGS@%$CPPFLAGS%g
1176s%@CXXFLAGS@%$CXXFLAGS%g
1177s%@FFLAGS@%$FFLAGS%g
1178s%@DEFS@%$DEFS%g
1179s%@LDFLAGS@%$LDFLAGS%g
1180s%@LIBS@%$LIBS%g
1181s%@exec_prefix@%$exec_prefix%g
1182s%@prefix@%$prefix%g
1183s%@program_transform_name@%$program_transform_name%g
1184s%@bindir@%$bindir%g
1185s%@sbindir@%$sbindir%g
1186s%@libexecdir@%$libexecdir%g
1187s%@datadir@%$datadir%g
1188s%@sysconfdir@%$sysconfdir%g
1189s%@sharedstatedir@%$sharedstatedir%g
1190s%@localstatedir@%$localstatedir%g
1191s%@libdir@%$libdir%g
1192s%@includedir@%$includedir%g
1193s%@oldincludedir@%$oldincludedir%g
1194s%@infodir@%$infodir%g
1195s%@mandir@%$mandir%g
1196s%@OCAMLC@%$OCAMLC%g
1197s%@OCAMLOPT@%$OCAMLOPT%g
1198s%@OCAMLCDOTOPT@%$OCAMLCDOTOPT%g
1199s%@OCAMLOPTDOTOPT@%$OCAMLOPTDOTOPT%g
1200s%@OCAMLDEP@%$OCAMLDEP%g
1201s%@OCAMLLEX@%$OCAMLLEX%g
1202s%@OCAMLLEXDOTOPT@%$OCAMLLEXDOTOPT%g
1203s%@OCAMLYACC@%$OCAMLYACC%g
1204s%@OCAMLWEB@%$OCAMLWEB%g
1205s%@CPP@%$CPP%g
1206s%@OCAMLBEST@%$OCAMLBEST%g
1207s%@OCAMLVERSION@%$OCAMLVERSION%g
1208s%@OCAMLLIB@%$OCAMLLIB%g
1209
1210CEOF
1211EOF
1212
1213cat >> $CONFIG_STATUS <<\EOF
1214
1215# Split the substitutions into bite-sized pieces for seds with
1216# small command number limits, like on Digital OSF/1 and HP-UX.
1217ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1218ac_file=1 # Number of current file.
1219ac_beg=1 # First line for current file.
1220ac_end=$ac_max_sed_cmds # Line after last line for current file.
1221ac_more_lines=:
1222ac_sed_cmds=""
1223while $ac_more_lines; do
1224  if test $ac_beg -gt 1; then
1225    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1226  else
1227    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1228  fi
1229  if test ! -s conftest.s$ac_file; then
1230    ac_more_lines=false
1231    rm -f conftest.s$ac_file
1232  else
1233    if test -z "$ac_sed_cmds"; then
1234      ac_sed_cmds="sed -f conftest.s$ac_file"
1235    else
1236      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1237    fi
1238    ac_file=`expr $ac_file + 1`
1239    ac_beg=$ac_end
1240    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1241  fi
1242done
1243if test -z "$ac_sed_cmds"; then
1244  ac_sed_cmds=cat
1245fi
1246EOF
1247
1248cat >> $CONFIG_STATUS <<EOF
1249
1250CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1251EOF
1252cat >> $CONFIG_STATUS <<\EOF
1253for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1254  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1255  case "$ac_file" in
1256  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1257       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1258  *) ac_file_in="${ac_file}.in" ;;
1259  esac
1260
1261  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1262
1263  # Remove last slash and all that follows it.  Not all systems have dirname.
1264  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1265  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1266    # The file is in a subdirectory.
1267    test ! -d "$ac_dir" && mkdir "$ac_dir"
1268    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1269    # A "../" for each directory in $ac_dir_suffix.
1270    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1271  else
1272    ac_dir_suffix= ac_dots=
1273  fi
1274
1275  case "$ac_given_srcdir" in
1276  .)  srcdir=.
1277      if test -z "$ac_dots"; then top_srcdir=.
1278      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1279  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1280  *) # Relative path.
1281    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1282    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1283  esac
1284
1285
1286  echo creating "$ac_file"
1287  rm -f "$ac_file"
1288  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1289  case "$ac_file" in
1290  *Makefile*) ac_comsub="1i\\
1291# $configure_input" ;;
1292  *) ac_comsub= ;;
1293  esac
1294
1295  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1296  sed -e "$ac_comsub
1297s%@configure_input@%$configure_input%g
1298s%@srcdir@%$srcdir%g
1299s%@top_srcdir@%$top_srcdir%g
1300" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1301fi; done
1302rm -f conftest.s*
1303
1304EOF
1305cat >> $CONFIG_STATUS <<EOF
1306
1307EOF
1308cat >> $CONFIG_STATUS <<\EOF
1309
1310exit 0
1311EOF
1312chmod +x $CONFIG_STATUS
1313rm -fr confdefs* $ac_clean_files
1314test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1315
1316chmod a-w Makefile
1317